rand_seeds = 1:5

datasets = {
    'ppi';
    'flickr';
    'blogcat';
    'rcv1v2';
    'eurlex';
    'wiki31k';
}

methods = {...
    'binary',... % binary relevance will always be run
    'SCut', 'SCutFBR',...
    'cost-sensitive', 'cost-sensitive-micro'...
    'SCutFBRn', 'smooth-each', 'smooth-all',...
    'micromacro',...
    % 'micromacro-freq', 'micromacro-tail', 'micromacro-rand'
}

% shared LIBLINEAR options
% with bias term (main experiment)
options = '-q -B 1'
% without bias term (Table 7)
% options = '-q'

for seed = rand_seeds
    for i = 1:numel(datasets)
        run_exp(datasets{i}, options, seed, methods);
    end
end
